<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_CREATE_GATE_PASS';
$path_to_root="..";

include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/services/includes/ui/create_job_gate_pass_ui.inc");
include_once($path_to_root . "/services/includes/db/create_job_gate_pass_db.inc");
include_once($path_to_root . "/services/includes/db/job_orders_db.inc"); 
include_once($path_to_root . "/reporting/includes/reporting.inc");
include_once($path_to_root . "/assets/includes/db/assets_db.inc");  

$js = "";
$js .= get_js_open_window(800, 500);
$js .= get_js_date_picker();

page(_($help_context = "Create Entrance or Exit Job Gate Pass"), false, false, "", $js);

global $Ajax;
$Ajax->activate('trans_tbl');

if (list_updated('jo_id')) {
    clear_create_job_gate_pass();
}

    start_form();
    
        display_create_job_gate_pass_selecting_parameters();
        
        div_start('trans_tbl'); 

            display_create_job_gate_pass_details($_POST['jo_id'], $_POST['from_date'], $_POST['to_date'], $_POST['job_completed'], $_POST['printed'], $_POST['filtr_gp_no'], 
                                                 $_POST['temp_print']);
            
        div_end();
       
    end_form(2);

end_page();

?>